## itinerary 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(itinerary VERSION ${RELEASE_SERVICE_VERSION})

set(KF5_MIN_VERSION 5.94)
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMQmlModule)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

ecm_setup_version(PROJECT VARIABLE_PREFIX ITINERARY VERSION_HEADER itinerary_version.h)
set(ITINERARY_DETAILED_VERSION_STRING "${ITINERARY_VERSION}")
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
    find_package(Git)
    set_package_properties(Git PROPERTIES TYPE OPTIONAL PURPOSE "Determine exact build version.")
    if (GIT_FOUND)
        execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} OUTPUT_VARIABLE _git_rev)
        string(REGEX REPLACE "\n" "" _git_rev "${_git_rev}")
        set(ITINERARY_DETAILED_VERSION_STRING "${ITINERARY_VERSION} (${_git_rev})")
    endif()
endif()

set(QT_MIN_VERSION 5.15.2)
if (ANDROID)
    set(QT_MIN_VERSION 5.15.8) # due to 5.15.8 changing the Gradle version in a non-backward compat way
endif()

# build-time dependencies
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Test Quick Positioning QuickControls2)
if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Location)
endif()
find_package(Qt${QT_MAJOR_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS QuickCompiler)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore)
find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS Holidays UnitConversion NetworkManagerQt)
find_package(KPimPkPass CONFIG REQUIRED)
find_package(KPimItinerary 5.18.0 CONFIG REQUIRED)
find_package(KPublicTransport CONFIG REQUIRED)
find_package(KOSMIndoorMap CONFIG REQUIRED)
find_package(KHealthCertificate CONFIG)
find_package(LibIcal 3.0)
find_package(SharedMimeInfo 1.0 REQUIRED)
find_package(ZLIB REQUIRED)
set_package_properties("ZLIB" PROPERTIES PURPOSE "Needed for retrieving weather forecast data.")
set_package_properties(LibIcal PROPERTIES PURPOSE "Needed for Android calendar integration.")
set_package_properties(KF5Solid PROPERTIES TYPE OPTIONAL TYPE RUNTIME PURPOSE "Used for controlling the screen brightness.")
set_package_properties(KHealthCertificate PROPERTIES TYPE OPTIONAL PURPOSE "Needed for the vaccination certificate manager.")
if (ANDROID)
    set_package_properties(LibIcal PROPERTIES TYPE REQUIRED)
endif()

include(ECMFindQmlModule)
ecm_find_qmlmodule(QtLocation 5.11)
ecm_find_qmlmodule(QtMultimedia 5.15)
ecm_find_qmlmodule(QtPositioning 5.11)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.prison 1.0)
ecm_find_qmlmodule(org.kde.prison.scanner 1.0)
ecm_find_qmlmodule(org.kde.kosmindoormap 1.0)
ecm_find_qmlmodule(org.kde.kopeninghours 1.0)
if (NOT ANDROID)
    ecm_find_qmlmodule(Qt.labs.platform 1.0)
endif()

# runtime dependencies are build-time dependencies on Android
if (ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Svg)
    if (QT_MAJOR_VERSION EQUAL "5")
        find_package(Qt5 REQUIRED COMPONENTS AndroidExtras)
    endif()
    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive Kirigami2 Prison)
    if (NOT DEFINED BREEZEICONS_DIR AND EXISTS ${CMAKE_SOURCE_DIR}/../breeze-icons)
        set(BREEZEICONS_DIR ${CMAKE_SOURCE_DIR}/../breeze-icons)
    endif()
    find_package(OpenSSL REQUIRED)
    find_package(Gradle REQUIRED)
else()
    find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Widgets DBus)
    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS DBusAddons QQC2DesktopStyle WindowSystem)
    find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS Solid Crash FileMetaData KIO)
endif()
if (TARGET KF5::Crash)
    set(HAVE_KCRASH TRUE)
endif()
if (TARGET KHealthCertificate)
    set(HAVE_KHEALTHCERTIFICATE TRUE)
endif()
if (TARGET KF5::Holidays)
    set(HAVE_KHOLIDAYS TRUE)
endif()
if (TARGET KF5::UnitConversion)
    set(HAVE_KUNITCONVERSION TRUE)
endif()

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)

add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

ecm_qt_install_logging_categories(
    EXPORT ITINERARY
    FILE org_kde_itinerary.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
ki18n_install(po)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(jnisignaturetest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(jnipropertytest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(jniarraytest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(jnimethodtest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(androidwrappertest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)

if (TARGET LibIcal)
    ecm_add_test(androidicalconvertertest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras KCalendarCoreExtras LibIcal)
endif()

ecm_add_test(gpxwritertest.cpp LINK_LIBRARIES Qt::Test GpxIo)

ecm_add_test(pkpassmanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(reservationmanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(applicationcontrollertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgrouptest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(locationinformationtest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(timelinemodeltest.cpp modelverificationpoint.cpp TEST_NAME timelinemodeltest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(timelinesectiondelegatecontrollertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgroupproxytest.cpp modelverificationpoint.cpp TEST_NAME tripgroupproxytest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgroupinfoprovidertest.cpp TEST_NAME tripgroupinfoprovidertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(publictransporttest.cpp TEST_NAME publictransporttest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(timelinedelegatecontrollertest.cpp TEST_NAME timelinedelegatecontrollertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(documentmanagertest.cpp TEST_NAME documentmanagertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(statisticstest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(favoritelocationtest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(transfertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(livedatamanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(healthcertificatemanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(passmanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(calendarimportmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(calendarhelpertest.cpp LINK_LIBRARIES Qt::Test itinerary)

ecm_add_test(weathertest.cpp LINK_LIBRARIES Qt::Test itinerary-weather)
target_include_directories(weathertest PRIVATE ${CMAKE_BINARY_DIR})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kde-itinerary\")

add_subdirectory(solidextras)
add_subdirectory(weather)
add_subdirectory(kandroidextras)
add_subdirectory(gpx)
add_subdirectory(calendarextras)
add_subdirectory(kirigami-addons/dateandtime)
add_subdirectory(app)

if (TARGET KF5::FileMetaData)
    add_subdirectory(metadataextractor)
endif()
if (TARGET KF5::KIOWidgets)
    add_subdirectory(thumbnailer)
endif()

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-itinerary.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-itinerary.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/itinerary_version_detailed.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/itinerary_version_detailed.h)

add_library(itinerary STATIC)
target_sources(itinerary PRIVATE
    applicationcontroller.cpp
    calendarhelper.cpp
    calendarimportmodel.cpp
    documentmanager.cpp
    favoritelocationmodel.cpp
    filehelper.cpp
    genericpkpass.cpp
    gpxexport.cpp
    healthcertificatemanager.cpp
    importexport.cpp
    json.cpp
    livedata.cpp
    livedatamanager.cpp
    localizer.cpp
    locationhelper.cpp
    locationinformation.cpp
    navigationcontroller.cpp
    notificationhelper.cpp
    passmanager.cpp
    pkpassmanager.cpp
    pkpassimageprovider.cpp
    publictransport.cpp
    reservationhelper.cpp
    reservationmanager.cpp
    statisticsmodel.cpp
    statisticstimerangemodel.cpp
    timelinedelegatecontroller.cpp
    timelineelement.cpp
    timelinemodel.cpp
    timelinesectiondelegatecontroller.cpp
    tripgroup.cpp
    tripgroupinfoprovider.cpp
    tripgroupmanager.cpp
    tripgroupproxymodel.cpp
    transfer.cpp
    transfermanager.cpp
    util.cpp
)
ecm_qt_declare_logging_category(itinerary
    HEADER logging.h
    IDENTIFIER Log
    CATEGORY_NAME org.kde.itinerary
    DESCRIPTION "KDE Itinerary app"
    EXPORT ITINERARY 
)

target_link_libraries(itinerary PUBLIC
    itinerary-weather
    SolidExtras
    GpxIo
    KPublicTransport
    KOSMIndoorMap
    KPim::Itinerary
    KPim::PkPass
    KF5::CalendarCore
    KF5::Mime
    KF5::I18n
    KF5::I18nLocaleData
    KF5::Contacts
    KF5::CoreAddons
    KF5::Notifications
    Qt::Network
    Qt::Quick
)
if (TARGET KHealthCertificate)
    target_link_libraries(itinerary PRIVATE KHealthCertificate)
endif()
if (TARGET KF5::Holidays)
    target_link_libraries(itinerary PUBLIC KF5::Holidays)
endif()

if (Qt5QuickCompiler_FOUND)
    qtquick_compiler_add_resources(qml_srcs qml.qrc)
else ()
    set(qml_srcs qml.qrc)
endif()

add_executable(itinerary-app ${itinerary_app_srcs})
target_sources(itinerary-app PRIVATE
    main.cpp
    countrysubdivisionmodel.cpp
    developmentmodecontroller.cpp
    documentsmodel.cpp
    factory.cpp
    locationinformationdelegatecontroller.cpp
    mapdownloadmanager.cpp
    notificationconfigcontroller.cpp
    notifyrc.qrc
    permissionmanager.cpp
    settings.cpp
    tickettokenmodel.cpp
    transferdelegatecontroller.cpp
    weatherforecastmodel.cpp
    ${qml_srcs}
    )
target_include_directories(itinerary-app PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(itinerary-app PRIVATE
    itinerary
    Qt::QuickControls2
    KCalendarCoreExtras
)
if (ANDROID)
    target_include_directories(itinerary-app PRIVATE ${Qt5Core_PRIVATE_INCLUDE_DIRS})
    target_link_libraries(itinerary PUBLIC KAndroidExtras)
    if (QT_MAJOR_VERSION EQUAL "6")
        target_link_libraries(itinerary PRIVATE Qt::CorePrivate)
        target_link_libraries(itinerary-app PRIVATE Qt::CorePrivate)
    endif()
    # explicitly add runtime dependencies and transitive link dependencies,
    # so androiddeployqt picks them up
    target_link_libraries(itinerary-app PRIVATE
        KF5::Archive
        KF5::Kirigami2
        Qt::Svg
        KF5::Prison
        OpenSSL::SSL
    )

    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)

    kirigami_package_breeze_icons(ICONS
        application-pdf
        bookmarks
        channel-insecure-symbolic
        channel-secure-symbolic
        checkmark
        clock
        crosshairs
        cross-shape
        dialog-cancel
        dialog-close
        dialog-error-symbolic
        dialog-ok
        document-edit
        document-import
        document-open
        document-save
        documentinfo
        download
        edit-delete
        edit-download
        edit-paste
        edit-rename
        export-symbolic
        folder-documents-symbolic
        go-down-symbolic
        go-home-symbolic
        go-next-symbolic
        go-up-symbolic
        help-about-symbolic
        help-contents
        list-add
        map-globe
        map-symbolic
        meeting-attending
        notifications
        question
        search
        settings-configure
        view-barcode-qr
        view-calendar-day
        view-list-symbolic
        view-list-details
        view-refresh
        view-statistics
        wallet-open
        zoom-in-symbolic
        zoom-out-symbolic

        weather-clear
        weather-clear-wind
        weather-clear-night
        weather-clear-wind-night
        weather-few-clouds
        weather-few-clouds-wind
        weather-few-clouds-night
        weather-few-clouds-wind-night
        weather-clouds
        weather-clouds-wind
        weather-clouds-night
        weather-clouds-wind-night
        weather-showers-day
        weather-showers-night
        weather-showers-scattered-day
        weather-showers-scattered-night
        weather-snow-scattered-day
        weather-snow-scattered-night
        weather-storm-day
        weather-storm-night
        weather-many-clouds
        weather-many-clouds-wind
        weather-fog
        weather-showers
        weather-showers-scattered
        weather-hail
        weather-snow
        weather-snow-scattered
        weather-storm
    )
else ()
    target_link_libraries(itinerary PRIVATE Qt::Positioning Qt::DBus Qt::Widgets)
    target_link_libraries(itinerary-app PRIVATE
        KF5::DBusAddons
        KF5::WindowSystem
        Qt::Widgets
    )
    set_target_properties(itinerary-app PROPERTIES OUTPUT_NAME "itinerary")
endif()
if (TARGET KF5::Crash)
    target_link_libraries(itinerary-app PRIVATE KF5::Crash)
endif()
if (TARGET KF5::UnitConversion)
    target_link_libraries(itinerary-app PRIVATE KF5::UnitConversion)
endif()

install(TARGETS itinerary-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_install_icons(ICONS sc-apps-org.kde.itinerary.svg DESTINATION ${KDE_INSTALL_ICONDIR})
if (NOT ANDROID)
    install(PROGRAMS org.kde.itinerary.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.itinerary.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    install(FILES itinerary.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
endif()

=== src/solidextras/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(qml)

set(solidextras_srcs
    brightnessmanager.cpp
    lockmanager.cpp
    networkstatus.cpp
)

if (ANDROID)
    add_subdirectory(android)
    list(APPEND solidextras_srcs
        androidbrightnessbackend.cpp
        androidlockbackend.cpp
        networkstatus_android.cpp
    )
else()
    list(APPEND solidextras_srcs
        solidbrightnessbackend.cpp
        freedesktoplockbackend.cpp
        networkstatus_dbus.cpp
    )
    qt_add_dbus_interface(solidextras_srcs org.kde.Solid.PowerManagement.Actions.BrightnessControl.xml brightnesscontroldbusinterface)
    qt_add_dbus_interface(solidextras_srcs org.freedesktop.ScreenSaver.xml screensaverdbusinterface)
    qt_add_dbus_interface(solidextras_srcs org.freedesktop.portal.NetworkMonitor.xml portalnetworkmonitor)
endif()

add_library(SolidExtras ${solidextras_srcs})
generate_export_header(SolidExtras BASE_NAME SolidExtras)

if (TARGET KF5::NetworkManagerQt)
    set(HAVE_NM ON)
endif()
configure_file(config-solid-extras.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-solid-extras.h)

target_include_directories(SolidExtras PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_link_libraries(SolidExtras PUBLIC Qt::Core)

if (ANDROID)
    if (QT_MAJOR_VERSION EQUAL "5")
        target_link_libraries(SolidExtras PRIVATE Qt::AndroidExtras)
    endif()
else ()
    target_link_libraries(SolidExtras PRIVATE Qt::DBus)
    if (TARGET KF5::NetworkManagerQt)
        target_link_libraries(SolidExtras PRIVATE KF5::NetworkManagerQt)
    endif()
endif()

install(TARGETS SolidExtras ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/thumbnailer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Kai Uwe Broulik <kde@broulik.de>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(itinerarythumbnail SOURCES itinerarycreator.cpp INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/thumbcreator")

target_link_libraries(itinerarythumbnail
    KF5::KIOWidgets
    Qt::Gui
    KPim::PkPass
)

=== src/calendarextras/android/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

gradle_add_aar(calendarextras_aar BUILDFILE ${CMAKE_CURRENT_SOURCE_DIR}/build.gradle NAME KCalendarCoreExtras)
gradle_install_aar(calendarextras_aar DESTINATION jar)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/KCalendarCoreExtras-android-dependencies.xml
    ${CMAKE_BINARY_DIR}/lib/KCalendarCoreExtras_${CMAKE_ANDROID_ARCH_ABI}-android-dependencies.xml
)
install(FILES KCalendarCoreExtras-android-dependencies.xml DESTINATION ${KDE_INSTALL_LIBDIR} RENAME KCalendarCoreExtras${CMAKE_ANDROID_ARCH_ABI}-android-dependencies.xml)

## itinerary 22.12.2

=== debian/changelog ===
itinerary (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* fields.
  * Switch Maintainer to the canonical one.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Simplify the handling of locales for the tests: instead of a custom script
    for generating some, simply switch the locales build dependency to
    locales-all, so we get all of them already prebuilt.
  * Remove the manual check for nocheck in DEB_BUILD_OPTIONS, as debhelper does
    it already in compat 13+.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Feb 2023 08:31:25 +0100

itinerary (22.12.1-2) unstable; urgency=medium

  * Add runtime dependency qml-module-org-kde-kpublictransport.

 -- Sandro Knauß <hefee@debian.org>  Tue, 31 Jan 2023 17:44:26 +0100

itinerary (22.12.1-1) unstable; urgency=medium

  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2 (No changes needed).
  * Update signing-key for current version.
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright for current version.
  * Add dependency on qml-module-qt-labs-qmlmodels (Closes: #1030004)

 -- Sandro Knauß <hefee@debian.org>  Tue, 31 Jan 2023 17:37:34 +0100

itinerary (22.08.2-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * Initial release (Closes: #1022774)

  [ Sandro Knauß ]
  * New upstream release (22.08.2).

 -- Sandro Knauß <hefee@debian.org>  Tue, 25 Oct 2022 19:01:48 +0200

=== debian/control ===
Source: itinerary
Section: misc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.94~),
               iso-codes <!nocheck>,
               kirigami2-dev (>= 5.94~),
               kosmindoormap-dev,
               libical-dev (>= 3.0),
               libkf5archive-dev (>= 5.94~),
               libkf5calendarcore-dev (>= 5:5.94~),
               libkf5contacts-dev (>= 5:5.94~),
               libkf5coreaddons-dev (>= 5.94~),
               libkf5crash-dev (>= 5.94~),
               libkf5dbusaddons-dev (>= 5.94~),
               libkf5filemetadata-dev (>= 5.94~),
               libkf5holidays-dev (>= 1:5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5kio-dev (>= 5.94~),
               libkf5networkmanagerqt-dev (>= 5.94~),
               libkf5notifications-dev (>= 5.94~),
               libkf5prison-dev (>= 5.94~),
               libkf5qqc2desktopstyle-dev (>= 5.94~),
               libkf5unitconversion-dev (>= 5.94~),
               libkf5windowsystem-dev (>= 5.94~),
               libkpimitinerary-dev (>= 21.08.0~),
               libkpimpkpass-dev,
               libkpublictransport-dev,
               libqt5svg5-dev,
               libssl-dev,
               locales-all <!nocheck>,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtlocation5-dev (>= 5.15.2~),
               qtpositioning5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               shared-mime-info (>= 1.0~),
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://www.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary
Rules-Requires-Root: no

Package: itinerary
Architecture: any
Depends: qml-module-org-kde-kitemmodels,
         qml-module-org-kde-kopeninghours,
         qml-module-org-kde-kosmindoormap,
         qml-module-org-kde-kpublictransport,
         qml-module-org-kde-prison,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtmultimedia,
         qml-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Digital travel assistant protecting your privacy
 Getting your itinerary presented in a unified, well structured and always up
 to date fashion rather than advertisement overloaded HTML email monstrosities
 or countless vendor-specific apps.

## itinerary 22.12.3

=== debian/changelog ===
itinerary (22.12.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream bugfix.
  * Add missing QML runtime dependencies (Closes: #1032889)

 -- Sandro Knauß <hefee@debian.org>  Fri, 24 Mar 2023 00:10:48 +0100

=== debian/control ===
--- 
+++ 
@@ -48,16 +48,24 @@
 
 Package: itinerary
 Architecture: any
-Depends: qml-module-org-kde-kitemmodels,
+Depends: plasma-framework,
+         qml-module-org-kde-kitemmodels,
+         qml-module-org-kde-i18n-localedata,
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-kopeninghours,
          qml-module-org-kde-kosmindoormap,
          qml-module-org-kde-kpublictransport,
          qml-module-org-kde-prison,
          qml-module-qt-labs-platform,
          qml-module-qt-labs-qmlmodels,
+         qml-module-qtgraphicaleffects,
          qml-module-qtlocation,
          qml-module-qtmultimedia,
          qml-module-qtpositioning,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Digital travel assistant protecting your privacy

## itinerary 23.08.1

=== debian/changelog ===
itinerary (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:55:38 +0100

itinerary (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:29 +0100

itinerary (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:32 +0100

itinerary (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:42:44 +0100

itinerary (23.04.2-0ubuntu2) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Add kirigami-addons-dev to Build-Depends.

 -- Rik Mills <rikmills@kde.org>  Mon, 12 Jun 2023 13:32:40 +0100

itinerary (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)
  * Add kirigami-addons-dev to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:58:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: itinerary
 Section: misc
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.94~),
                iso-codes <!nocheck>,
+               kirigami-addons-dev,
                kirigami2-dev (>= 5.94~),
-               kosmindoormap-dev,
+               kosmindoormap-dev (>= 23.08.1~),
                libical-dev (>= 3.0),
                libkf5archive-dev (>= 5.94~),
                libkf5calendarcore-dev (>= 5:5.94~),
@@ -27,9 +29,9 @@
                libkf5qqc2desktopstyle-dev (>= 5.94~),
                libkf5unitconversion-dev (>= 5.94~),
                libkf5windowsystem-dev (>= 5.94~),
-               libkpimitinerary-dev (>= 21.08.0~),
-               libkpimpkpass-dev,
-               libkpublictransport-dev,
+               libkpimitinerary-dev (>= 23.08.1~),
+               libkpimpkpass-dev (>= 23.08.1~),
+               libkpublictransport-dev (>= 23.08.1~),
                libqt5svg5-dev,
                libssl-dev,
                locales-all <!nocheck>,
@@ -39,11 +41,11 @@
                qtpositioning5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
                shared-mime-info (>= 1.0~),
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://www.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
 Rules-Requires-Root: no
 
 Package: itinerary

## itinerary 23.08.4

=== debian/changelog ===
itinerary (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:54 +0000

itinerary (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:31:06 +0000

itinerary (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:27:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                iso-codes <!nocheck>,
                kirigami-addons-dev,
                kirigami2-dev (>= 5.94~),
-               kosmindoormap-dev (>= 23.08.1~),
+               kosmindoormap-dev (>= 23.08.4~),
                libical-dev (>= 3.0),
                libkf5archive-dev (>= 5.94~),
                libkf5calendarcore-dev (>= 5:5.94~),
@@ -29,9 +29,9 @@
                libkf5qqc2desktopstyle-dev (>= 5.94~),
                libkf5unitconversion-dev (>= 5.94~),
                libkf5windowsystem-dev (>= 5.94~),
-               libkpimitinerary-dev (>= 23.08.1~),
-               libkpimpkpass-dev (>= 23.08.1~),
-               libkpublictransport-dev (>= 23.08.1~),
+               libkpimitinerary-dev (>= 23.08.4~),
+               libkpimpkpass-dev (>= 23.08.4~),
+               libkpublictransport-dev (>= 23.08.4~),
                libqt5svg5-dev,
                libssl-dev,
                locales-all <!nocheck>,

## itinerary 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(itinerary VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_MIN_VERSION 5.94)
+set(KF5_MIN_VERSION 5.100)
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -25,6 +25,7 @@
 include(KDECMakeSettings)
 include(GenerateExportHeader)
 include(ECMQmlModule)
+include(ECMDeprecationSettings)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_AUTOMOC ON)
@@ -44,7 +45,12 @@
 
 set(QT_MIN_VERSION 5.15.2)
 if (ANDROID)
-    set(QT_MIN_VERSION 5.15.8) # due to 5.15.8 changing the Gradle version in a non-backward compat way
+    set(QT_MIN_VERSION 5.15.10) # due to 5.15.10 changing NDK versioning
+endif()
+if (QT_MAJOR_VERSION EQUAL "6")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
 endif()
 
 # build-time dependencies
@@ -53,23 +59,35 @@
     find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Location)
 endif()
 find_package(Qt${QT_MAJOR_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS QuickCompiler)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore)
-find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS Holidays UnitConversion NetworkManagerQt)
-find_package(KPimPkPass CONFIG REQUIRED)
-find_package(KPimItinerary 5.18.0 CONFIG REQUIRED)
-find_package(KPublicTransport CONFIG REQUIRED)
+find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore Holidays)
+find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS UnitConversion NetworkManagerQt)
+if (NOT KF_MAJOR_VERSION EQUAL "6") # TODO temporary workaround until kirigami-addons is switched to KF6
+find_package(KF5KirigamiAddons 0.9 REQUIRED)
+endif()
+find_package(KPim${KF_MAJOR_VERSION}PkPass CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}Itinerary 5.23.0 CONFIG REQUIRED)
+find_package(KPublicTransport 23.07.70 CONFIG REQUIRED)
 find_package(KOSMIndoorMap CONFIG REQUIRED)
 find_package(KHealthCertificate CONFIG)
 find_package(LibIcal 3.0)
-find_package(SharedMimeInfo 1.0 REQUIRED)
 find_package(ZLIB REQUIRED)
+set(QUOTIENT_FORCE_NAMESPACED_INCLUDES ON)
+find_package(Quotient 0.7.2 CONFIG)
 set_package_properties("ZLIB" PROPERTIES PURPOSE "Needed for retrieving weather forecast data.")
 set_package_properties(LibIcal PROPERTIES PURPOSE "Needed for Android calendar integration.")
-set_package_properties(KF5Solid PROPERTIES TYPE OPTIONAL TYPE RUNTIME PURPOSE "Used for controlling the screen brightness.")
+set_package_properties(KF${KF_MAJOR_VERSION}Solid PROPERTIES TYPE RUNTIME PURPOSE "Used for controlling the screen brightness.")
 set_package_properties(KHealthCertificate PROPERTIES TYPE OPTIONAL PURPOSE "Needed for the vaccination certificate manager.")
+set_package_properties(Quotient PROPERTIES TYPE OPTIONAL PURPOSE "Needed for Matrix location sharing.")
 if (ANDROID)
     set_package_properties(LibIcal PROPERTIES TYPE REQUIRED)
+else()
+    find_package(SharedMimeInfo 1.0 REQUIRED)
 endif()
+
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+     KF 5.102.0
+    )
+
 
 include(ECMFindQmlModule)
 ecm_find_qmlmodule(QtLocation 5.11)
@@ -90,7 +108,7 @@
     if (QT_MAJOR_VERSION EQUAL "5")
         find_package(Qt5 REQUIRED COMPONENTS AndroidExtras)
     endif()
-    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive Kirigami2 Prison)
+    find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive Kirigami2 Prison)
     if (NOT DEFINED BREEZEICONS_DIR AND EXISTS ${CMAKE_SOURCE_DIR}/../breeze-icons)
         set(BREEZEICONS_DIR ${CMAKE_SOURCE_DIR}/../breeze-icons)
     endif()
@@ -98,24 +116,23 @@
     find_package(Gradle REQUIRED)
 else()
     find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Widgets DBus)
-    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS DBusAddons QQC2DesktopStyle WindowSystem)
-    find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS Solid Crash FileMetaData KIO)
+    find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS DBusAddons QQC2DesktopStyle WindowSystem)
+    find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS Solid Crash FileMetaData KIO)
 endif()
-if (TARGET KF5::Crash)
+if (TARGET KF${KF_MAJOR_VERSION}::Crash)
     set(HAVE_KCRASH TRUE)
 endif()
 if (TARGET KHealthCertificate)
     set(HAVE_KHEALTHCERTIFICATE TRUE)
 endif()
-if (TARGET KF5::Holidays)
-    set(HAVE_KHOLIDAYS TRUE)
-endif()
-if (TARGET KF5::UnitConversion)
+if (TARGET KF${KF_MAJOR_VERSION}::UnitConversion)
     set(HAVE_KUNITCONVERSION TRUE)
 endif()
-
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
+if (TARGET Quotient)
+    set(HAVE_MATRIX TRUE)
+else()
+    set(HAVE_MATRIX FALSE)
+endif()
 
 add_subdirectory(src)
 add_subdirectory(autotests)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,14 @@
 add_subdirectory(kandroidextras)
 add_subdirectory(gpx)
 add_subdirectory(calendarextras)
-add_subdirectory(kirigami-addons/dateandtime)
 add_subdirectory(app)
+if (HAVE_MATRIX)
+    add_subdirectory(matrix)
+endif()
 
-if (TARGET KF5::FileMetaData)
+if (TARGET KF${KF_MAJOR_VERSION}::FileMetaData)
     add_subdirectory(metadataextractor)
 endif()
-if (TARGET KF5::KIOWidgets)
+if (TARGET KF${KF_MAJOR_VERSION}::KIOWidgets)
     add_subdirectory(thumbnailer)
 endif()

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -9,14 +9,19 @@
     applicationcontroller.cpp
     calendarhelper.cpp
     calendarimportmodel.cpp
+    clipboard.cpp
     documentmanager.cpp
+    documentsmodel.cpp
+    downloadjob.cpp
     favoritelocationmodel.cpp
     filehelper.cpp
     genericpkpass.cpp
     gpxexport.cpp
     healthcertificatemanager.cpp
     importexport.cpp
+    journeysectionmodel.cpp
     json.cpp
+    jsonio.cpp
     livedata.cpp
     livedatamanager.cpp
     localizer.cpp
@@ -24,10 +29,12 @@
     locationinformation.cpp
     navigationcontroller.cpp
     notificationhelper.cpp
+    onlineticketretrievaljob.cpp
     passmanager.cpp
     pkpassmanager.cpp
     pkpassimageprovider.cpp
     publictransport.cpp
+    publictransportmatcher.cpp
     reservationhelper.cpp
     reservationmanager.cpp
     statisticsmodel.cpp
@@ -43,6 +50,7 @@
     transfer.cpp
     transfermanager.cpp
     util.cpp
+    weatherinformation.cpp
 )
 ecm_qt_declare_logging_category(itinerary
     HEADER logging.h
@@ -57,24 +65,31 @@
     SolidExtras
     GpxIo
     KPublicTransport
+    KPublicTransportOnboard
     KOSMIndoorMap
-    KPim::Itinerary
-    KPim::PkPass
-    KF5::CalendarCore
-    KF5::Mime
-    KF5::I18n
-    KF5::I18nLocaleData
-    KF5::Contacts
-    KF5::CoreAddons
-    KF5::Notifications
+    KPim${KF_MAJOR_VERSION}::Itinerary
+    KPim${KF_MAJOR_VERSION}::PkPass
+    KF${KF_MAJOR_VERSION}::CalendarCore
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::I18nLocaleData
+    KF${KF_MAJOR_VERSION}::Contacts
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::Notifications
+    KF${KF_MAJOR_VERSION}::Holidays
     Qt::Network
     Qt::Quick
 )
+if (TARGET KF5::Mime)
+    target_link_libraries(itinerary PUBLIC KF5::Mime)
+else()
+    target_link_libraries(itinerary PUBLIC KPim${KF_MAJOR_VERSION}::Mime)
+endif()
+if (HAVE_MATRIX)
+    target_link_libraries(itinerary PUBLIC KMatrix)
+endif()
+
 if (TARGET KHealthCertificate)
     target_link_libraries(itinerary PRIVATE KHealthCertificate)
-endif()
-if (TARGET KF5::Holidays)
-    target_link_libraries(itinerary PUBLIC KF5::Holidays)
 endif()
 
 if (Qt5QuickCompiler_FOUND)
@@ -88,12 +103,13 @@
     main.cpp
     countrysubdivisionmodel.cpp
     developmentmodecontroller.cpp
-    documentsmodel.cpp
     factory.cpp
     locationinformationdelegatecontroller.cpp
     mapdownloadmanager.cpp
+    matrixcontroller.cpp
     notificationconfigcontroller.cpp
     notifyrc.qrc
+    onlineticketimporter.cpp
     permissionmanager.cpp
     settings.cpp
     tickettokenmodel.cpp
@@ -117,10 +133,10 @@
     # explicitly add runtime dependencies and transitive link dependencies,
     # so androiddeployqt picks them up
     target_link_libraries(itinerary-app PRIVATE
-        KF5::Archive
-        KF5::Kirigami2
+        KF${KF_MAJOR_VERSION}::Archive
+        KF${KF_MAJOR_VERSION}::Kirigami2
         Qt::Svg
-        KF5::Prison
+        KF${KF_MAJOR_VERSION}::Prison
         OpenSSL::SSL
     )
 
@@ -128,7 +144,12 @@
 
     kirigami_package_breeze_icons(ICONS
         application-pdf
+        arrow-down
+        arrow-left
+        arrow-right
+        arrow-up
         bookmarks
+        call-start
         channel-insecure-symbolic
         channel-secure-symbolic
         checkmark
@@ -149,8 +170,13 @@
         edit-download
         edit-paste
         edit-rename
+        emblem-shared-symbolic
         export-symbolic
+        flag
+        flashlight-off
+        flashlight-on
         folder-documents-symbolic
+        globe
         go-down-symbolic
         go-home-symbolic
         go-next-symbolic
@@ -158,13 +184,19 @@
         help-about-symbolic
         help-contents
         list-add
+        mail-message-new
+        media-playback-playing
         map-globe
         map-symbolic
         meeting-attending
         notifications
         question
+        raindrop
         search
         settings-configure
+        temperature-cold
+        temperature-normal
+        temperature-warm
         view-barcode-qr
         view-calendar-day
         view-list-symbolic
@@ -205,24 +237,26 @@
         weather-snow-scattered
         weather-storm
     )
+
+    install(FILES sc-apps-org.kde.itinerary.svg  DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/icons/ RENAME org.kde.itinerary.svg)
 else ()
     target_link_libraries(itinerary PRIVATE Qt::Positioning Qt::DBus Qt::Widgets)
     target_link_libraries(itinerary-app PRIVATE
-        KF5::DBusAddons
-        KF5::WindowSystem
+        KF${KF_MAJOR_VERSION}::DBusAddons
+        KF${KF_MAJOR_VERSION}::WindowSystem
         Qt::Widgets
     )
     set_target_properties(itinerary-app PROPERTIES OUTPUT_NAME "itinerary")
-endif()
-if (TARGET KF5::Crash)
-    target_link_libraries(itinerary-app PRIVATE KF5::Crash)
-endif()
-if (TARGET KF5::UnitConversion)
-    target_link_libraries(itinerary-app PRIVATE KF5::UnitConversion)
+    ecm_install_icons(ICONS sc-apps-org.kde.itinerary.svg DESTINATION ${KDE_INSTALL_ICONDIR})
+endif()
+if (TARGET KF${KF_MAJOR_VERSION}::Crash)
+    target_link_libraries(itinerary-app PRIVATE KF${KF_MAJOR_VERSION}::Crash)
+endif()
+if (TARGET KF${KF_MAJOR_VERSION}::UnitConversion)
+    target_link_libraries(itinerary-app PRIVATE KF${KF_MAJOR_VERSION}::UnitConversion)
 endif()
 
 install(TARGETS itinerary-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-ecm_install_icons(ICONS sc-apps-org.kde.itinerary.svg DESTINATION ${KDE_INSTALL_ICONDIR})
 if (NOT ANDROID)
     install(PROGRAMS org.kde.itinerary.desktop DESTINATION ${KDE_INSTALL_APPDIR})
     install(FILES org.kde.itinerary.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/calendarextras/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if (ANDROID)
    add_library(KCalendarCoreExtras)
else()
    add_library(KCalendarCoreExtras STATIC)
endif()
generate_export_header(KCalendarCoreExtras BASE_NAME KCalendarCoreExtras)

target_sources(KCalendarCoreExtras PRIVATE
    calendarlistmodel.cpp
    calendarpluginloader.cpp
    integration.cpp
)

if (ANDROID)
    add_subdirectory(android)
    target_sources(KCalendarCoreExtras PRIVATE
        androidcalendar.cpp
        androidcalendarplugin.cpp
        androidicalconverter.cpp
    )
    target_compile_definitions(KCalendarCoreExtras PRIVATE -DQT_STATICPLUGIN)
    target_link_libraries(KCalendarCoreExtras PRIVATE KAndroidExtras LibIcal)
endif()

target_link_libraries(KCalendarCoreExtras PUBLIC KF${KF_MAJOR_VERSION}::CalendarCore)

if (ANDROID)
    install(TARGETS KCalendarCoreExtras ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

=== src/metadataextractor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Kai Uwe Broulik <kde@broulik.de>
# SPDX-License-Identifier: BSD-3-Clause

add_library(kfilemetadata_itineraryextractor MODULE itineraryextractor.cpp)

target_link_libraries(kfilemetadata_itineraryextractor
    KF${KF_MAJOR_VERSION}::FileMetaData
    KF${KF_MAJOR_VERSION}::I18n
    Qt::Gui
    KPim${KF_MAJOR_VERSION}::Itinerary
    KPim${KF_MAJOR_VERSION}::PkPass
)

set_target_properties(kfilemetadata_itineraryextractor PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf${QT_MAJOR_VERSION}/kfilemetadata")
install(TARGETS kfilemetadata_itineraryextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kfilemetadata)

=== src/thumbnailer/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 kcoreaddons_add_plugin(itinerarythumbnail SOURCES itinerarycreator.cpp INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/thumbcreator")
 
 target_link_libraries(itinerarythumbnail
-    KF5::KIOWidgets
+    KF${KF_MAJOR_VERSION}::KIOGui
     Qt::Gui
-    KPim::PkPass
+    KPim${KF_MAJOR_VERSION}::PkPass
 )

=== src/weather/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(itinerary-weather STATIC)
target_sources(itinerary-weather PRIVATE
    weatherforecast.cpp
    weatherforecastmanager.cpp
)

target_link_libraries(itinerary-weather
    PUBLIC
        Qt::Core
    PRIVATE
        KF${KF_MAJOR_VERSION}::Holidays
        Qt::Network
        ZLIB::ZLIB
)

=== debian/changelog ===
itinerary (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:08:44 +1100

itinerary (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:38:27 +0000

itinerary (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:32:49 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                iso-codes <!nocheck>,
                kirigami-addons-dev,
                kirigami2-dev (>= 5.94~),
-               kosmindoormap-dev (>= 23.08.4~),
+               kosmindoormap-dev (>= 23.08.5~),
                libical-dev (>= 3.0),
                libkf5archive-dev (>= 5.94~),
                libkf5calendarcore-dev (>= 5:5.94~),
@@ -29,9 +29,9 @@
                libkf5qqc2desktopstyle-dev (>= 5.94~),
                libkf5unitconversion-dev (>= 5.94~),
                libkf5windowsystem-dev (>= 5.94~),
-               libkpimitinerary-dev (>= 23.08.4~),
-               libkpimpkpass-dev (>= 23.08.4~),
-               libkpublictransport-dev (>= 23.08.4~),
+               libkpimitinerary-dev (>= 23.08.5~),
+               libkpimpkpass-dev (>= 23.08.5~),
+               libkpublictransport-dev (>= 23.08.5~),
                libqt5svg5-dev,
                libssl-dev,
                locales-all <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	- dh_auto_test
